package ru.yandex.direct.web.entity.vcard.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class AssignVcardWebRequest {
    public static final String CID = "cid";
    public static final String BIDS = "bids";
    public static final String VCARD_ID = "vcard_id";

    @JsonProperty(CID)
    private Long cid;

    @JsonProperty(BIDS)
    private List<Long> bids;

    @JsonProperty(VCARD_ID)
    private Long vcardId;

    public Long getCid() {
        return cid;
    }

    public AssignVcardWebRequest withCid(Long cid) {
        this.cid = cid;
        return this;
    }

    public List<Long> getBids() {
        return bids;
    }

    public AssignVcardWebRequest withBids(List<Long> bids) {
        this.bids = bids;
        return this;
    }

    public Long getVcardId() {
        return vcardId;
    }

    public AssignVcardWebRequest withVcardId(Long vcardId) {
        this.vcardId = vcardId;
        return this;
    }
}
